import {useEffect} from 'react'
import {PositionsList} from '../PositionsList'
import { PersonRolesList } from '../PersonRolesList';
import { useParams } from 'react-router-dom';
import {getPersonById} from '../../core/_requests'
import {useQuery} from 'react-query'
import {QUERIES} from '../../../../../../../_metronic/helpers'
import {MenuComponent} from '../../../../../../../_metronic/assets/ts/components'
import {useQueryResponse} from '../../core/QueryResponseProviderPerson'
import { useListView } from '../../edit-modal/position/ListViewProviderPosition';
import { PositionEditModal } from '../../edit-modal/position/PositionEditModal';
import { QueryRequestProvider } from '../../core/QueryRequestProvider';
import { PositionsListWrapper } from '../../PositionsList';
import { ListViewProviderPosition } from '../../edit-modal/position/ListViewProviderPosition';
import { ListViewProviderPerson } from '../../edit-modal/person/ListViewProviderPerson';
export function Overview() {
  const id = useParams().id
  const {query} = useQueryResponse()

  useEffect(() => {
    MenuComponent.reinitialization()
    console.log(user)
  }, [])

  const {
    isLoading,
    data: user,
    error,
  } = useQuery(
    `${QUERIES.PERSONS_LIST}-${query}`,
    () => {
      return getPersonById(Number(id))
    },
    {
      cacheTime: 0,
      enabled: true,
      onError: (err) => {
        console.error(err)
      },
    }
  )

  return (
      <div className='row g-5 g-xxl-8'>
        <div className='col-xl-6'>
          {user?.positions !== undefined ? 
          <QueryRequestProvider>
              <ListViewProviderPosition>
                <PositionsList className='mb-5 mb-xxl-8' positions={user.positions}/>
              </ListViewProviderPosition>
          </QueryRequestProvider>
        :null}
        </div>
        <div className='col-xl-6'>
        {user?.personRoles !== undefined ? 
                  <QueryRequestProvider>
                      <ListViewProviderPerson>
                          <PersonRolesList className='mb-5 mb-xxl-8' person={user}/>
                      </ListViewProviderPerson>
                  </QueryRequestProvider>

        :null}
        
              </div>
      </div>
      
    )
  
}
